package com.example;

import org.openqa.selenium.*;
import org.openqa.selenium.interactions.Actions;
import org.slf4j.LoggerFactory;

/**
 *
 * @author sthirumurthy
 */
public class Main {
    private static final org.slf4j.Logger logger = LoggerFactory
            .getLogger(Main.class);
    
    public static void main(String args[]) throws InterruptedException {
        FirefoxWebdriverService ffService = FirefoxWebdriverService.getInstance();
        
        String URL = "http://home.mcom.com/home/welcome.html";
        
        //Network Panel when Loaded with FF37 and FB 3
        WebDriver driver = ffService.getFirefoxWithFirebug3();
        Thread.sleep(1000);
        logger.info("1. Got the firefox driver");

        // Load test page
        driver.get(URL);
        logger.info("1. Loaded page");        
        Thread.sleep(5000);
        driver.close();
        driver.quit();
        
        
        //Network panel when Loaded with FF37 and FB 2.0.9
        WebDriver driver2 = ffService.getFirefoxWithFB209NetExport09();
        Thread.sleep(1000);
        logger.info("2. Got the firefox driver"); 
        
        driver2.get(URL);
        logger.info("2. Loaded page");
        Thread.sleep(5000);
        driver2.close();
        driver2.quit();
        
        //Network panel when Loaded WITHOUT extensions
        WebDriver driver3 = ffService.getFirefoxWithoutExtensions();
        Thread.sleep(1000);
        logger.info("3. Got the firefox driver");               
        Actions builder = new Actions(driver3);
        builder.keyDown(Keys.CONTROL).keyDown(Keys.SHIFT).sendKeys("I").keyUp(Keys.SHIFT).keyUp(Keys.CONTROL).build().perform();
        Thread.sleep(5000);

        driver3.get(URL);
        logger.info("3. Loaded page");        
        Thread.sleep(5000);        
        driver3.close();
        driver3.quit();

        logger.info("Completed Execution");
    }
}
